extends Node3D

var combination

func _ready():
	combination = randi() % 10000
	print(combination)
	$".."/CombiCode.mesh.text = "%04d" % combination #met leading 0'en

func get_number():
	return 1000 * $Body/"1"/Cylinder/StaticBody3D.number + \
		100 * $Body/"2"/Cylinder/StaticBody3D.number + \
		10 * $Body/"3"/Cylinder/StaticBody3D.number + \
		$Body/"4"/Cylinder/StaticBody3D.number

func _on_static_body_3d_input_event(_camera, event, _position, _normal, _shape_idx):
	if event is InputEventMouseButton and event.is_action_pressed("interact"):
		$Body/Knop/Audio.playing = true
		if get_number() == combination:
			$".."/Einde.eindig()
